Abs
Arithmetic Operations

Absolute value of each pixel value in an image. More...

## Functions

NppStatus | nppiAbs_16s_C1R_Ctx (const Npp16s *pSrc, int nSrcStep, Npp16s *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| One 16-bit signed short channel image absolute value. More...
NppStatus | nppiAbs_16s_C1R (const Npp16s *pSrc, int nSrcStep, Npp16s *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiAbs_16s_C1IR_Ctx (Npp16s *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| One 16-bit signed short channel in place image absolute value. More...
NppStatus | nppiAbs_16s_C1IR (Npp16s *pSrcDst, int nSrcDstStep, NppiSize oSizeROI)
NppStatus | nppiAbs_16s_C3R_Ctx (const Npp16s *pSrc, int nSrcStep, Npp16s *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Three 16-bit signed short channel image absolute value. More...
NppStatus | nppiAbs_16s_C3R (const Npp16s *pSrc, int nSrcStep, Npp16s *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiAbs_16s_C3IR_Ctx (Npp16s *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Three 16-bit signed short channel in place image absolute value. More...
NppStatus | nppiAbs_16s_C3IR (Npp16s *pSrcDst, int nSrcDstStep, NppiSize oSizeROI)
NppStatus | nppiAbs_16s_AC4R_Ctx (const Npp16s *pSrc, int nSrcStep, Npp16s *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Four 16-bit signed short channel image absolute value with unmodified alpha. More...
NppStatus | nppiAbs_16s_AC4R (const Npp16s *pSrc, int nSrcStep, Npp16s *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiAbs_16s_AC4IR_Ctx (Npp16s *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Four 16-bit signed short channel in place image absolute value with unmodified alpha. More...
NppStatus | nppiAbs_16s_AC4IR (Npp16s *pSrcDst, int nSrcDstStep, NppiSize oSizeROI)
NppStatus | nppiAbs_16s_C4R_Ctx (const Npp16s *pSrc, int nSrcStep, Npp16s *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Four 16-bit signed short channel image absolute value. More...
NppStatus | nppiAbs_16s_C4R (const Npp16s *pSrc, int nSrcStep, Npp16s *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiAbs_16s_C4IR_Ctx (Npp16s *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Four 16-bit signed short channel in place image absolute value. More...
NppStatus | nppiAbs_16s_C4IR (Npp16s *pSrcDst, int nSrcDstStep, NppiSize oSizeROI)
NppStatus | nppiAbs_16f_C1R_Ctx (const Npp16f *pSrc, int nSrcStep, Npp16f *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| One 16-bit floating point channel image absolute value. More...
NppStatus | nppiAbs_16f_C1R (const Npp16f *pSrc, int nSrcStep, Npp16f *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiAbs_16f_C1IR_Ctx (Npp16f *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| One 16-bit floating point channel in place image absolute value. More...
NppStatus | nppiAbs_16f_C1IR (Npp16f *pSrcDst, int nSrcDstStep, NppiSize oSizeROI)
NppStatus | nppiAbs_16f_C3R_Ctx (const Npp16f *pSrc, int nSrcStep, Npp16f *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Three 16-bit floating point channel image absolute value. More...
NppStatus | nppiAbs_16f_C3R (const Npp16f *pSrc, int nSrcStep, Npp16f *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiAbs_16f_C3IR_Ctx (Npp16f *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Three 16-bit floating point channel in place image absolute value. More...
NppStatus | nppiAbs_16f_C3IR (Npp16f *pSrcDst, int nSrcDstStep, NppiSize oSizeROI)
NppStatus | nppiAbs_16f_C4R_Ctx (const Npp16f *pSrc, int nSrcStep, Npp16f *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Four 16-bit floating point channel image absolute value. More...
NppStatus | nppiAbs_16f_C4R (const Npp16f *pSrc, int nSrcStep, Npp16f *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiAbs_16f_C4IR_Ctx (Npp16f *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Four 16-bit floating point channel in place image absolute value. More...
NppStatus | nppiAbs_16f_C4IR (Npp16f *pSrcDst, int nSrcDstStep, NppiSize oSizeROI)
NppStatus | nppiAbs_32f_C1R_Ctx (const Npp32f *pSrc, int nSrcStep, Npp32f *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| One 32-bit floating point channel image absolute value. More...
NppStatus | nppiAbs_32f_C1R (const Npp32f *pSrc, int nSrcStep, Npp32f *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiAbs_32f_C1IR_Ctx (Npp32f *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| One 32-bit floating point channel in place image absolute value. More...
NppStatus | nppiAbs_32f_C1IR (Npp32f *pSrcDst, int nSrcDstStep, NppiSize oSizeROI)
NppStatus | nppiAbs_32f_C3R_Ctx (const Npp32f *pSrc, int nSrcStep, Npp32f *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Three 32-bit floating point channel image absolute value. More...
NppStatus | nppiAbs_32f_C3R (const Npp32f *pSrc, int nSrcStep, Npp32f *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiAbs_32f_C3IR_Ctx (Npp32f *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Three 32-bit floating point channel in place image absolute value. More...
NppStatus | nppiAbs_32f_C3IR (Npp32f *pSrcDst, int nSrcDstStep, NppiSize oSizeROI)
NppStatus | nppiAbs_32f_AC4R_Ctx (const Npp32f *pSrc, int nSrcStep, Npp32f *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Four 32-bit floating point channel image absolute value with unmodified alpha. More...
NppStatus | nppiAbs_32f_AC4R (const Npp32f *pSrc, int nSrcStep, Npp32f *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiAbs_32f_AC4IR_Ctx (Npp32f *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Four 32-bit floating point channel in place image absolute value with unmodified alpha. More...
NppStatus | nppiAbs_32f_AC4IR (Npp32f *pSrcDst, int nSrcDstStep, NppiSize oSizeROI)
NppStatus | nppiAbs_32f_C4R_Ctx (const Npp32f *pSrc, int nSrcStep, Npp32f *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Four 32-bit floating point channel image absolute value. More...
NppStatus | nppiAbs_32f_C4R (const Npp32f *pSrc, int nSrcStep, Npp32f *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiAbs_32f_C4IR_Ctx (Npp32f *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Four 32-bit floating point channel in place image absolute value. More...
NppStatus | nppiAbs_32f_C4IR (Npp32f *pSrcDst, int nSrcDstStep, NppiSize oSizeROI)

## Detailed Description

Absolute value of each pixel value in an image.

## Function Documentation

NppStatus nppiAbs_16f_C1IR | ( | Npp16f * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiAbs_16f_C1IR_Ctx | ( | Npp16f * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

One 16-bit floating point channel in place image absolute value.

Parameters

  pSrcDst | In-Place Image Pointer.
  nSrcDstStep | In-Place-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiAbs_16f_C1R | ( | const Npp16f * | pSrc,
|  | int | nSrcStep,
|  | Npp16f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiAbs_16f_C1R_Ctx | ( | const Npp16f * | pSrc,
|  | int | nSrcStep,
|  | Npp16f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

One 16-bit floating point channel image absolute value.

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiAbs_16f_C3IR | ( | Npp16f * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiAbs_16f_C3IR_Ctx | ( | Npp16f * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three 16-bit floating point channel in place image absolute value.

Parameters

  pSrcDst | In-Place Image Pointer.
  nSrcDstStep | In-Place-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiAbs_16f_C3R | ( | const Npp16f * | pSrc,
|  | int | nSrcStep,
|  | Npp16f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiAbs_16f_C3R_Ctx | ( | const Npp16f * | pSrc,
|  | int | nSrcStep,
|  | Npp16f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three 16-bit floating point channel image absolute value.

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiAbs_16f_C4IR | ( | Npp16f * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiAbs_16f_C4IR_Ctx | ( | Npp16f * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four 16-bit floating point channel in place image absolute value.

Parameters

  pSrcDst | In-Place Image Pointer.
  nSrcDstStep | In-Place-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiAbs_16f_C4R | ( | const Npp16f * | pSrc,
|  | int | nSrcStep,
|  | Npp16f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiAbs_16f_C4R_Ctx | ( | const Npp16f * | pSrc,
|  | int | nSrcStep,
|  | Npp16f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four 16-bit floating point channel image absolute value.

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiAbs_16s_AC4IR | ( | Npp16s * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiAbs_16s_AC4IR_Ctx | ( | Npp16s * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four 16-bit signed short channel in place image absolute value with unmodified alpha.

Parameters

  pSrcDst | In-Place Image Pointer.
  nSrcDstStep | In-Place-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiAbs_16s_AC4R | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiAbs_16s_AC4R_Ctx | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four 16-bit signed short channel image absolute value with unmodified alpha.

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiAbs_16s_C1IR | ( | Npp16s * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiAbs_16s_C1IR_Ctx | ( | Npp16s * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

One 16-bit signed short channel in place image absolute value.

Parameters

  pSrcDst | In-Place Image Pointer.
  nSrcDstStep | In-Place-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiAbs_16s_C1R | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiAbs_16s_C1R_Ctx | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

One 16-bit signed short channel image absolute value.

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiAbs_16s_C3IR | ( | Npp16s * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiAbs_16s_C3IR_Ctx | ( | Npp16s * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three 16-bit signed short channel in place image absolute value.

Parameters

  pSrcDst | In-Place Image Pointer.
  nSrcDstStep | In-Place-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiAbs_16s_C3R | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiAbs_16s_C3R_Ctx | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three 16-bit signed short channel image absolute value.

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiAbs_16s_C4IR | ( | Npp16s * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiAbs_16s_C4IR_Ctx | ( | Npp16s * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four 16-bit signed short channel in place image absolute value.

Parameters

  pSrcDst | In-Place Image Pointer.
  nSrcDstStep | In-Place-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiAbs_16s_C4R | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiAbs_16s_C4R_Ctx | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four 16-bit signed short channel image absolute value.

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiAbs_32f_AC4IR | ( | Npp32f * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiAbs_32f_AC4IR_Ctx | ( | Npp32f * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four 32-bit floating point channel in place image absolute value with unmodified alpha.

Parameters

  pSrcDst | In-Place Image Pointer.
  nSrcDstStep | In-Place-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiAbs_32f_AC4R | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiAbs_32f_AC4R_Ctx | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four 32-bit floating point channel image absolute value with unmodified alpha.

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiAbs_32f_C1IR | ( | Npp32f * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiAbs_32f_C1IR_Ctx | ( | Npp32f * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

One 32-bit floating point channel in place image absolute value.

Parameters

  pSrcDst | In-Place Image Pointer.
  nSrcDstStep | In-Place-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiAbs_32f_C1R | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiAbs_32f_C1R_Ctx | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

One 32-bit floating point channel image absolute value.

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiAbs_32f_C3IR | ( | Npp32f * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiAbs_32f_C3IR_Ctx | ( | Npp32f * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three 32-bit floating point channel in place image absolute value.

Parameters

  pSrcDst | In-Place Image Pointer.
  nSrcDstStep | In-Place-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiAbs_32f_C3R | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiAbs_32f_C3R_Ctx | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three 32-bit floating point channel image absolute value.

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiAbs_32f_C4IR | ( | Npp32f * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiAbs_32f_C4IR_Ctx | ( | Npp32f * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four 32-bit floating point channel in place image absolute value.

Parameters

  pSrcDst | In-Place Image Pointer.
  nSrcDstStep | In-Place-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiAbs_32f_C4R | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiAbs_32f_C4R_Ctx | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four 32-bit floating point channel image absolute value.

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

Copyright © 2009-2018 NVIDIA Corporation